<?php

namespace WPDesk\ShopMagic\AutomationOutcome;

use WPDesk\ShopMagic\Database\Abstraction\DAO\Item;

/**
 * WARNING: Partially ready for use.
 */
final class Outcome implements Item {

	/** @var string */
	private $execution_id;

	/** @var \DateTimeImmutable */
	private $update_date;

	/** @var array */
	private $logs;

	/** @var bool|null When null then not finished yet */
	private $success;

	public function __construct(
		string $execution_id,
		array $logs,
		\DateTimeImmutable $update_date,
		bool $success
	) {
		$this->execution_id = $execution_id;
		$this->logs         = $logs;
		$this->update_date  = $update_date;
		$this->success      = $success;
	}

	public function get_changed_fields(): array {
		return [];
	}

	public function has_changed(): bool {
		return false;
	}

	public function set_last_inserted_id( int $id ) {
	}

	public function normalize(): array {
		$vars = get_object_vars( $this );

		$vars['logs'] = json_encode( $this->logs );

		return $vars;
	}
}
