<?php
declare(strict_types=1);

namespace WPDesk\ShopMagic\AutomationOutcome;

use DateTimeImmutable;
use WPDesk\ShopMagic\Database\Abstraction\DAO\Item;
use WPDesk\ShopMagic\Database\Abstraction\DAO\ItemFactory;

final class OutcomeFactory implements ItemFactory {

	public function create_null(): Item {
		return new Outcome(
			'',
			[],
			new DateTimeImmutable(),
			false
		);
	}

	public function create_item( array $data ): Item {
		return new Outcome(
			$data['execution_id'],
			json_decode( $data['logs'], true ),
			new DateTimeImmutable( $data['updated'] ),
			$data['success']
		);
	}
}
